Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class PieInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.PieInfo

    public class PieInfo

extends ChartTypeInfo

Contains the information of pie chart type in the file. The class extends chartTypeInfo.

Field Summary
`static short` | `NORMAL` not show leader line
`static short` | `SHOWLDRLINES` show the leader line

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`PieInfo(boolean is3D, Info3D info3D, short style, short explodedPercent)` Constructs a `PieInfo object with these parameters`
`PieInfo(short dataLabel, boolean is3D, Info3D info3D, short style, short explodedPercent)` Deprecated. please use @see #PieInfo(boolean, Info3D, short, short) Note: The dataLabel parameter does not take affect.

Method Summary
`short` | `getAnStart()` Gets the angle of the first pie slice expressed in degrees.
`int` | `getChartType()` Gets the type of the chart.
`short` | `getDataLabel()` Gets the type of chart data label.
`short` | `getExplodedPercent()` Gets the distance of pie slice from center of pie.
`short` | `getPcDonut()` Gets the size of the center hole in a donut chart.
`short` | `getStyle()` Gets the style of the pie chart.
`boolean` | `hasShadow()` Gets whether this pie has a shadow or not.
`void` | `setAnstart(short anStart)` Sets the angle of the first pie slice expressed in degrees.
`void` | `setExplodedPercent(short explodedPercent)` Sets the distance of pie slice from center of pie.
`void` | `setHasShadow(boolean b)` Sets whether this pie has a shadow or not.
`void` | `setPcDonut(short pcDonut)` Sets the size of the center hole in a donut chart.
`void` | `setShowCategoryName(boolean isShowCategory)` Sets the flag which specifies whether to show the category or not.
`void` | `setShowPercent(boolean isShowPercent)` Sets the flag which specifies whether to show the percentage or not.
`void` | `setShowSeriesName(boolean isShowSeries)` Sets the flag which specifies whether to show the series name or not.
`void` | `setShowValue(boolean isShowValue)` Sets the flag which specifies whether to show the value or not.
`void` | `setStyle(short style)` Sets the style of the pie chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`addSeries, getCatName, getCatNameRef, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  not show leader line

  See Also:
    Constant Field Values

### SHOWLDRLINES

    public static final short SHOWLDRLINES

  show the leader line

  See Also:
    Constant Field Values

Constructor Detail

### PieInfo

    public PieInfo(short dataLabel,
                   boolean is3D,
                   Info3D info3D,
                   short style,
                   short explodedPercent)

  Deprecated. please use @see #PieInfo(boolean, Info3D, short, short) Note: The dataLabel parameter does not take affect.

  Constructs a `PieInfo object with these parameters:

  Parameters:
    `dataLabel` - type of the data label, `ChartTypeInfo.SHOWNONE` for none, `ChartTypeInfo.SHOWVALUE` for value, `ChartTypeInfo.SHOWPERCENT` for showing percent, `ChartTypeInfo.SHOWLABPER` for showing the percent and label, `ChartTypeInfo.SHOWLABEL` for showing label
    `is3D` - whether the chart is 3D chart or not
    `style` - style of pie chart, can be NORMAL or SHOWLDRLINES
    `explodedPercent` - distance of pie slice counting from center of pie
  `

### PieInfo

    public PieInfo(boolean is3D,
                   Info3D info3D,
                   short style,
                   short explodedPercent)

  Constructs a `PieInfo object with these parameters

  Parameters:
    `is3D` - whether the chart is 3D chart or not
    `style` - style of pie chart, can be NORMAL or SHOWLDRLINES
    `explodedPercent` - distance of pie slice from center of pie
  See Also:
    `NORMAL`, `SHOWLDRLINES`
  `

Method Detail

### setShowSeriesName

    public void setShowSeriesName(boolean isShowSeries)

  Sets the flag which specifies whether to show the series name or not.

  Parameters:
    `isShowSeries` - true shows the series name as the datalabel

### setShowCategoryName

    public void setShowCategoryName(boolean isShowCategory)

  Sets the flag which specifies whether to show the category or not.

  Parameters:
    `isShowCategory` - true shows the category as the datalabel

### setShowValue

    public void setShowValue(boolean isShowValue)

  Sets the flag which specifies whether to show the value or not.

  Parameters:
    `isShowValue` - true shows the value as the datalabel

### setShowPercent

    public void setShowPercent(boolean isShowPercent)

  Sets the flag which specifies whether to show the percentage or not.

  Parameters:
    `isShowPercent` - true shows the percentage as the datalabel

### getDataLabel

    public short getDataLabel()

  Description copied from class: `ChartTypeInfo`
  Gets the type of chart data label. `ChartTypeInfo.SHOWNONE` `ChartTypeInfo.SHOWVALUE` `ChartTypeInfo.SHOWPERCENT` `ChartTypeInfo.SHOWLABEL` `ChartTypeInfo.SHOWLABPER` `ChartTypeInfo.SHOWBUBBLESIZE`

  Overrides:
    `getDataLabel` in class `ChartTypeInfo`
  Returns:
    the type of chart data label

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getAnStart

    public short getAnStart()

  Gets the angle of the first pie slice expressed in degrees.

  Returns:
    angle of the first pie slice expressed in degrees

### setAnstart

    public void setAnstart(short anStart)

  Sets the angle of the first pie slice expressed in degrees.

  Parameters:
    `anStart` - angle of the first pie slice expressed in degrees

### getPcDonut

    public short getPcDonut()

  Gets the size of the center hole in a donut chart.

  Returns:
    size of the center hole in a donut chart,0 for true pie chart

### setPcDonut

    public void setPcDonut(short pcDonut)

  Sets the size of the center hole in a donut chart.

  Parameters:
    `pcDonut` - 0=true pie chart, non-zero=size of center hole in a donut chart

### getStyle

    public short getStyle()

  Gets the style of the pie chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the pie chart
  See Also:
    `NORMAL`, `SHOWLDRLINES`

### setStyle

    public void setStyle(short style)

  Sets the style of the pie chart.

  Parameters:
    `style` - style of the pie chart
  See Also:
    `NORMAL`, `SHOWLDRLINES`

### getExplodedPercent

    public short getExplodedPercent()

  Gets the distance of pie slice from center of pie.

  Returns:
    the distance of pie slice from center of pie

### setExplodedPercent

    public void setExplodedPercent(short explodedPercent)

  Sets the distance of pie slice from center of pie.

  Parameters:
    `explodedPercent` - distance of pie slice from center of pie

### hasShadow

    public boolean hasShadow()

  Gets whether this pie has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this pie has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  Sets whether this pie has a shadow or not. If the chart is 3D, it can not set shadow.

  Parameters:
    `b` - - whether this pie has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD